* tests/truncate/multiple-files.sh: New file.
* tests/local.mk (all_tests): Add the new test.
---
 tests/local.mk                   |  1 +
 tests/truncate/multiple-files.sh | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+)
 create mode 100755 tests/truncate/multiple-files.sh

diff --git a/tests/local.mk b/tests/local.mk
index b459ccc75..480390c93 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -492,6 +492,7 @@ all_tests =                                 \
   tests/timeout/timeout-parameters.sh          \
   tests/tr/tr.pl                               \
   tests/tr/tr-case-class.sh                    \
+  tests/truncate/multiple-files.sh             \
   tests/truncate/truncate-dangling-symlink.sh  \
   tests/truncate/truncate-dir-fail.sh          \
   tests/truncate/truncate-fail-diag.sh         \
diff --git a/tests/truncate/multiple-files.sh b/tests/truncate/multiple-files.sh
new file mode 100755
index 000000000..dfde9fac2
--- /dev/null
+++ b/tests/truncate/multiple-files.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Test that 'truncate' processes all arguments.
+
+# Copyright (C) 2026 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ truncate
+
+returns_ 1 truncate -s0 a . b || fail=1
+test -f a || fail=1
+test -f b || fail=1
+
+Exit $fail
-- 
2.53.0


Reply via email to